Webhooks

Update a webhook

Update a webhook.

MethodPath
PUT/v1/webhooks/{webhook_id}

Changing its URL resets verification and approval and sends a new ping.

Path parameters

webhook_idstringrequired
curl -X PUT "https://api.ellipsis.dev/v1/webhooks/{webhook_id}" \
  -H "Authorization: Bearer $ELLIPSIS_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "https://example.com/ellipsis",
  "events": [
    "session.create"
  ]
}'

Request

Example request body
{
"url": "https://example.com/ellipsis",
}

Body parameters

descriptionstring
eventsarray<string>required

Explicit event subscriptions. Currently only session.create is supported. Pings are sent independently of subscriptions.

urlstringrequired

The single public HTTPS URL to receive signed POST requests. Changing it requires verification and approval again.

Response

Example response, 200
{
}

On this page

No Headings
Schedule a demo